.def	Xl =	r26
.def	Xh =	r27
.def	Yl =	r28
.def	Yh =	r29
.def	Zl =	r30
.def	Zh =	r31

;Special function registers for Atmel AVR Mega16

.equ	TWBR	= 0x00
.equ	TWSR	= 0x01
.equ	TWAR	= 0x02
.equ	TWDR	= 0x03
.equ	ADCL	= 0x04
.equ	ADCH	= 0x05
.equ	ADCSRA	= 0x06
.equ	ADMUX	= 0x07
.equ	ACSR	= 0x08
.equ	UBRRL	= 0x09
.equ	UCSRB	= 0x0A
.equ	UCSRA	= 0x0B
.equ	UDR	= 0x0C
.equ	SPCR	= 0x0D
.equ	SPSR	= 0x0E
.equ	SPDR	= 0x0F
.equ	PIND	= 0x10
.equ	DDRD	= 0x11
.equ	PORTD	= 0x12
.equ	PINC	= 0x13
.equ	DDRC	= 0x14
.equ	PORTC	= 0x15
.equ	PINB	= 0x16
.equ	DDRB	= 0x17
.equ	PORTB	= 0x18
.equ	PINA	= 0x19
.equ	DDRA	= 0x1A
.equ	PORTA	= 0x1B
.equ	EECR	= 0x1C
.equ	EEDR	= 0x1D
.equ	EEARL	= 0x1E
.equ	EEARH	= 0x1F
.equ	UCSRC	= 0x20
.equ	UBRRH	= 0x20
.equ	WDTCR	= 0x21
.equ	ASSR	= 0x22
.equ	OCR2	= 0x23
.equ	TCNT2	= 0x24
.equ	TCCR2	= 0x25
.equ	ICR1L	= 0x26
.equ	ICR1H	= 0x27
.equ	OCR1BL	= 0x28
.equ	OCR1BH	= 0x29
.equ	OCR1AL	= 0x2A
.equ	ORC1AH	= 0x2B
.equ	TCNT1L	= 0x2C
.equ	TCNT1H	= 0x2D
.equ	TCCR1B	= 0x2E
.equ	TCCR1A	= 0x2F
.equ	SFIOR	= 0x30
.equ	OSCCAL	= 0x31
.equ	OCDR	= 0x31
.equ	TCNT0	= 0x32
.equ	TCCR0	= 0x33
.equ	MCUCSR	= 0x34
.equ	MCUCR	= 0x35
.equ	TWCR	= 0x36
.equ	SPMCR	= 0x37
.equ	TIFR	= 0x38
.equ	TIMSK	= 0x39
.equ	GIFR	= 0x3A
.equ	GICR	= 0x3B
.equ	OCR0	= 0x3C
.equ	SPL	= 0x3D
.equ	SPH	= 0x3E
.equ	SREG	= 0x3F


;UCSRA
.equ	RXC	= 7
.equ	TXC	= 6
.equ	UDRE	= 5
.equ	FE	= 4
.equ	DOR	= 3
.equ	PE	= 2
.equ	U2X	= 1
.equ	MPCM	= 0

;UCSRB
.equ	RXCIE	= 7
.equ	TXCIE	= 6
.equ	UDRIE	= 5
.equ	RXEN	= 4
.equ	TXEN	= 3
.equ	UCSZ2	= 2
.equ	RXB8	= 1
.equ	TXB8	= 0

;UCSRC
.equ	URSEL	= 7
.equ	UMSEL	= 6
.equ	UPM1	= 5
.equ	UPM0	= 4
.equ	USBS	= 3
.equ	UCSZ1	= 2
.equ	UCSZ0	= 1
.equ	UCPOL	= 0

;TWCR
.equ	TWINT	= 7
.equ	TWEA	= 6
.equ	TWSTA	= 5
.equ	TWSTO	= 4
.equ	TWWC	= 3
.equ	TWEN	= 2
.equ	TWIE	= 0

;SPCR
.equ	SPIE	= 7
.equ	SPE	= 6
.equ	DORD	= 5
.equ	MSTR	= 4
.equ	CPOL	= 3
.equ	CPHA	= 2
.equ	SPR1	= 1
.equ	SPR0	= 0

;SPSR
.equ	SPIF	= 7
.equ	WCOL	= 6
.equ	SPI2X	= 0

;ADMUX
.equ	ADLAR	= 5


;ADCSRA
.equ	ADEN	= 7
.equ	ADSC	= 6
.equ	ADATE	= 5
.equ	ADIF	= 4
.equ	ADIE	= 3
.equ	ADPS2	= 2
.equ	ADPS1	= 1
.equ	ADPS0	= 0

;TIMSK
.equ	OCIE2	= 7
.equ	TOIE2	= 6
.equ	TICIE1	= 5
.equ	OCIE1A	= 4
.equ	OCIE1B	= 3
.equ	TOIE1	= 2
.equ	OCIE0	= 1
.equ	TOIE0	= 0

;TIFR
.equ	TOV1	= 2


;.equ		= 7
;.equ		= 6
;.equ		= 5
;.equ		= 4
;.equ		= 3
;.equ		= 2
;.equ		= 1
;.equ		= 0
